> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch account states

> This endpoint allows you to get the rating, watchlist, and favourite status.



## OpenAPI

````yaml get /tv/{{series_id}}/season/{{season_number}}/account_states
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/season/{{season_number}}/account_states:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
      - name: season_number
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Seasons
      summary: Fetch account states
      description: >-
        This endpoint allows you to get the rating, watchlist, and favourite
        status.
      operationId: fetchAccountStates2
      parameters:
        - name: session_id
          in: query
          schema:
            type: string
            example: 7427e7f0d08c503a855b022dc5a2e124577150b8
        - name: guest_session_id
          in: query
          schema:
            type: string
            example: string
          description: Defaults to en-US
      responses:
        '200':
          description: Fetch account states
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 10:33:45 GMT
            ETag:
              schema:
                type: string
                example: W/"38043602e15cd121c48c0d2e985b8b40"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 8ae5bf017822b4dd886de38de05d26a8.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: pMBdarbZForSdF7nHFvPXlOo4A8udYEhy_l5sz7PUDxLGMvyNROk_A==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P5
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: 1a38e41cd6bb08313b05371c6c32a39d
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 3624
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        episode_number:
                          type: number
                          example: 1
                        id:
                          type: number
                          example: 63056
                        rated:
                          type: boolean
                          example: false
                    example:
                      - episode_number: 1
                        id: 63056
                        rated: false
                      - episode_number: 2
                        id: 63057
                        rated: false
                      - episode_number: 3
                        id: 63058
                        rated: false
                      - episode_number: 4
                        id: 63059
                        rated: false
                      - episode_number: 5
                        id: 63060
                        rated: false
                      - episode_number: 6
                        id: 63061
                        rated: false
                      - episode_number: 7
                        id: 63062
                        rated: false
                      - episode_number: 8
                        id: 63063
                        rated: false
                      - episode_number: 9
                        id: 63064
                        rated: false
                      - episode_number: 10
                        id: 63065
                        rated: false
              examples:
                Fetch account states:
                  value:
                    id: 3624
                    results:
                      - episode_number: 1
                        id: 63056
                        rated: false
                      - episode_number: 2
                        id: 63057
                        rated: false
                      - episode_number: 3
                        id: 63058
                        rated: false
                      - episode_number: 4
                        id: 63059
                        rated: false
                      - episode_number: 5
                        id: 63060
                        rated: false
                      - episode_number: 6
                        id: 63061
                        rated: false
                      - episode_number: 7
                        id: 63062
                        rated: false
                      - episode_number: 8
                        id: 63063
                        rated: false
                      - episode_number: 9
                        id: 63064
                        rated: false
                      - episode_number: 10
                        id: 63065
                        rated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````